#ifndef OBJ05_DB_H
#define OBJ05_DB_H
/*lint ++flb */

/* Raima Database Manager 11.0.1.551 */

/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - obj05 for C++ */
/* This database will demonstrate the use of a b-tree index.  There is one 
 * record defined and that record contains a single indexed character field.
 * The index is not defined an unique therefore it will allow duplicate values.
 * 
 * This schema file should be processed using the ddlp utility using the
 * -c and -cpp options to create an embedded dbd file.  The -c option will 
 * generate a c header file (obj05_db_dbd.h) and a c source file 
 * (obj05_db_dbd.c) which can be compiled into the application and used with 
 * the Open method to create the database dictionary if it does not already 
 * exist.
 */


/* database obj05_db record/key structure declarations */

struct person {
   char last_four_ssn[5];
};

/* record, field and set table entry definitions */

/* File Id Constants */

/* Record Name Constants */
#define PERSON 10000

/* Field Name Constants */
#define LAST_FOUR_SSN 0L

/* Set Name Constants */

/* Field Sizes */
#define SIZEOF_LAST_FOUR_SSN 5

/*lint --flb */
#endif    /* OBJ05_DB_H */
